/*
    Copyright  1995-2001, The AROS Development Team. All rights reserved.
    $Id: polska.c,v 1.2 2011/12/27 22:46:22 tokai Exp $

    Desc: Country data for Poland
    Lang: English
    Char: ISO 8859-2
*/

#include <exec/types.h>
#include <libraries/locale.h>
#include <libraries/iffparse.h>
#include <prefs/locale.h>

/* polska.country: Przemyslaw Szczygielski qus@go2.pl */
/* fixed by Grzegorz Kraszewski krashan@teleinfo.pb.bialystok.pl */

struct CountryPrefs polskaPrefs =
{
    /* Reserved */
    { 0, 0, 0, 0 },

    /* The country codes in the past have been rather inconsistant,
       sometimes they are 1 character, 2 chars or 3. It would be nice
       to have some consistency. Maybe use the 3 character name from
       ISO 3166? I (Iain) have a copy of the ISO3166 codes if anyone
       wants them...
    */

    /* Country code (left justify), telephone code, measuring system */
    MAKE_ID('P','L',0,0), 48, MS_ISO,

    /* Date time format, date format, time format */
    "%A %e %B %Y %q:%M",
    "%A %e %B %Y",
    "%q:%M:%S",

    /* Short datetime, short date, short time formats */

    /* Fixed nonsenses, the date writing in Poland must be comforming to */
    /* Polska Norma PN 90/N-01204 and ISO 8601. */

    "%Y-%m-%d %q:%M",
    "%Y-%m-%d",
    "%q:%M",

    /* Decimal point, group separator, frac group separator */
    ",", " ", "",

    /* For grouping rules, see <libraries/locale.h> */

    /* Grouping, Frac Grouping */
    { 3 }, { 0 },

    /* Mon dec pt, mon group sep, mon frac group sep */
    ",", " ", "",

    /* Mon Grouping, Mon frac grouping */
    { 3 }, { 0 },

    /* Mon Frac digits, Mon IntFrac digits, then number of digits in
       the fractional part of the money value. Most countries that
       use dollars and cents, would have 2 for this value

       (As would many of those who don't).
    */
    2, 2,

    /* Currency symbol, Small currency symbol */
    "z", "gr",

    /* Int CS, this is the ISO 4217 symbol, followed by the character to
       separate that symbol from the rest of the money. (\x00 for none).
    */
    "PLN",

    /* Mon +ve sign, +ve space sep, +ve sign pos, +ve cs pos */
    "", SS_NOSPACE, SP_PREC_ALL, CSP_SUCCEEDS,

    /* Mon -ve sign, -ve space sep, -ve sign pos, -ve cs pos */
    "-", SS_NOSPACE, SP_PREC_ALL, CSP_SUCCEEDS,

    /* Calendar type */
    CT_7MON
};
